# gmp_jacobi

(PHP 4 >= 4.0.4, PHP 5, PHP 7)

gmp_jacobi — Jacobi symbol

### Description

gmp_jacobi ( GMP `$a` , GMP `$p` ) : int

Computes » Jacobi symbol of `a` and `p`. `p` should be odd and must be positive.

### Parameters

`a`

  Either a GMP number resource in PHP 5.5 and earlier, a GMP object in PHP 5.6 and later, or a numeric string provided that it is possible to convert the latter to a number.

`p`

  Either a GMP number resource in PHP 5.5 and earlier, a GMP object in PHP 5.6 and later, or a numeric string provided that it is possible to convert the latter to a number.

  Should be odd and must be positive.

### Return Values

A GMP number resource in PHP 5.5 and earlier, or a GMP object in PHP 5.6 and later.

### Examples

Example #1 gmp_jacobi() example

`<?php
echo gmp_jacobi("1", "3") . "\n";
echo gmp_jacobi("2", "3") . "\n";
?>`

The above example will output:

    1
    0

### See Also

- gmp_kronecker() - Kronecker symbol
- gmp_legendre() - Legendre symbol